Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
branches
/
{branchId}
/
knowledge-base
/
topics
/
{topicId}
Get knowledge base topic
curl --request GET \
  --url https://api.us.poly.ai/v1/agents/{agentId}/branches/{branchId}/knowledge-base/topics/{topicId} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "content": "<string>",
  "actions": "<string>",
  "exampleQueries": {
    "queries": [
      "<string>"
    ]
  },
  "isActive": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.poly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
branchId
string
required
topicId
string
required

Response

Knowledge base topic

id
string
required
name
string
required
content
string
required
actions
string
required
exampleQueries
object
required
isActive
boolean
required
Last modified on June 1, 2026